import { SwiftUICommon } from './common';
export * from './common';
export function registerSwiftUI() {
    // noop
}
export class SwiftUI extends SwiftUICommon {
}
export class UIDataDriver {
}
export class WindowManager {
    static getWindow(id, isImmersive) {
        if (!WindowManager.currentWindows) {
            WindowManager.currentWindows = {};
        }
        if (!WindowManager.currentWindows[id]) {
            WindowManager.currentWindows[id] = new NativeScriptWindow(id, isImmersive);
        }
        return WindowManager.currentWindows[id];
    }
    static supportsMultipleScenes() {
        return false;
    }
}
// Note: Stub for Android
// best moved to @nativescript/ui in future when core is split up
export class NativeScriptWindow {
    constructor(id, isImmersive) {
        this.id = id;
        this.isImmersive = isImmersive;
    }
    open(props) {
        return Promise.resolve();
    }
    close() {
        return Promise.resolve();
    }
    update(props) {
        return Promise.resolve();
    }
}
// Note: Stub for Android
// best moved to @nativescript/ui in future when core is split up
export class XR {
    static requestSession(sessionId, props) {
        if (!XR.currentSessionId) {
            XR.currentSessionId = sessionId;
            WindowManager.getWindow(sessionId, true).open(props);
        }
        return Promise.resolve();
    }
    static endSession() {
        if (XR.currentSessionId) {
            WindowManager.getWindow(XR.currentSessionId, true).close();
            XR.currentSessionId = null;
        }
        return Promise.resolve();
    }
}
//# sourceMappingURL=index.android.js.map